<template>
  <dibs-layout page="about" layout="one-column">
    <template #aside-header>
      <dibs-elem-back to="/" />
      <dibs-elem-lang-dropdown />
    </template>
    <template #aside-title
      ><h1>{{ $t('page.about.title') }}</h1></template
    >
    <template #content>
      <h2>{{ $t('page.about.subtitle') }}</h2>
      <!-- eslint-disable-next-line vue/no-v-html -->
      <p v-html="$t('page.about.content')" />
      <a to="#" @click="modals.open('cgv')">
        {{ $t('page.prelogin.cgv.title') }}
      </a>
      <dibs-modal id="cgv">
        <template #title>{{ $t('page.prelogin.cgv.title') }}</template>
        <template #content>
          <!-- eslint-disable-next-line vue/no-v-html -->
          <div v-html="$t('page.prelogin.cgv.html')" />
        </template>
      </dibs-modal>
    </template>
  </dibs-layout>
</template>

<script>
export default {
  name: 'AboutPage',
  layout: 'dibs',
  data() {
    return {
      modals: this.$models.Modals(),
    }
  },
}
</script>
